Subject: Re: [Sipping] I-D ACTION:draft-ietf-sipping-multiple-refer-04.txt

From: "Jeroen van Bemmel" <[email-masked]>
Date: Tue, 1 Nov 2005 08:05:57 +0100

Dale,

One answer could be: it's in the body because proxies don't need to access 
it. There it could be encrypted using S/MIME, authenticated using AIB, etc

That being said, I could see use cases for specifying thing like:
- relative order between entries (in addition to the document order they are 
in)
- backup URIs for entries
- ...

The XSD format in xcap-list-usage allows for such extensions (in other 
namespaces)

Regards.

Jeroen

----- Original Message ----- 
From: "Dale R. Worley" <[email-masked]>
To: "Sipping" <[email-masked]>
Sent: Tuesday, November 01, 2005 2:09 AM
Subject: Re: [Sipping] I-D ACTION:draft-ietf-sipping-multiple-refer-04.txt

>I was reading the "Refering to Multiple Resources" I-D, and I was
> wondering why the list of URIs to REFER to wasn't modeled more directly
> on the Contact-list of, say, a 302 response.  That seems to be a more
> flexible model than a list of URIs alone, in that it allows
> specification of sequential vs. parallel access and extensible flags for
> special features (especially the media feature tags).  And a SIP agent
> is likely to already contain the logic to process Contact-lists.
>
> Dale
>
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Dale R. Worley" <[email-masked]>
Date: Tue, 01 Nov 2005 09:40:57 -0500

> it. There it could be encrypted using S/MIME, authenticated using AIB, etc

I wasn't looking at the fact it's in the message body, but why the Url-
list abstraction being used wasn't based on the semantic facilities
already provided in Contact-lists, given that the latter is already
well-shaken-down.

Dale